From 481460bae470d13527fd3e33fd57718b4c2b2ac4 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Jan 18 2018 16:36:31 +0000
Subject: [PATCH 27/48] don't fake `long` type in Python 3


Instead, do it like six without actually pulling it in.

---

diff --git a/modulemd/__init__.py b/modulemd/__init__.py
index 5deadc5..89cacf3 100644
--- a/modulemd/__init__.py
+++ b/modulemd/__init__.py
@@ -44,9 +44,6 @@ import datetime
 import dateutil.parser
 import yaml
 
-if sys.version_info > (3,):
-    long = int
-
 import gi
 from gi.repository import GLib
 gi.require_version('Modulemd', '0.2')
@@ -62,6 +59,12 @@ from .components.rpm import ModuleComponentRPM
 from .filter import ModuleFilter
 from .profile import ModuleProfile
 
+
+if sys.version_info > (3,):
+    integer_types = (int,)
+else:
+    integer_types = (int, long)  # noqa
+
 supported_mdversions = ( 1, )
 
 def load_all(f):
@@ -263,7 +266,7 @@ class ModuleMetadata(object):
 
     @mdversion.setter
     def mdversion(self, i):
-        if not isinstance(i, (int, long)):
+        if not isinstance(i, integer_types):
             raise TypeError("mdversion: data type not supported")
         if i not in supported_mdversions:
             raise ValueError("mdversion: document version not supported")
@@ -298,7 +301,7 @@ class ModuleMetadata(object):
 
     @version.setter
     def version(self, i):
-        if not isinstance(i, (int, long)):
+        if not isinstance(i, integer_types):
             raise TypeError("version: data type not supported")
         if i < 0:
             raise ValueError("version: version cannot be negative")
diff --git a/modulemd/components/base.py b/modulemd/components/base.py
index c00dd09..adedb65 100644
--- a/modulemd/components/base.py
+++ b/modulemd/components/base.py
@@ -25,7 +25,10 @@
 import sys
 
 if sys.version_info > (3,):
-    long = int
+    integer_types = (int,)
+else:
+    integer_types = (int, long)
+
 
 class ModuleComponentBase(object):
     """A base class for definining module component types."""
@@ -92,6 +95,6 @@ class ModuleComponentBase(object):
 
     @buildorder.setter
     def buildorder(self, i):
-        if not isinstance(i, (int, long)):
+        if not isinstance(i, integer_types):
             raise TypeError("componentbase.buildorder: data type not supported")
         self._buildorder = i

